@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Taviraj:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=GFS+Didot&family=Taviraj:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Shippori+Mincho&display=swap');

:root {
    --background-color: #ecd6fd;
    --foreground-color: #8e65b6;
}

html, body {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    scroll-snap-type: block mandatory;
}

html {
    font-family: sans-serif;
    /*background-color: var(--background-color);*/
}

body {
    /*margin: 0 10%;*/
    font-size: 18px;
}

.buttonLink {
    border: 1px solid black;
    border-radius: 15px;
    background-color: var(--foreground-color);
    padding: 30px 2px;
    width: 250px;
    text-align: center;
    font-weight: 600;

    color: white;
}

[data-decompte] {
    color: black;
    border-color: var(--foreground-color);
    /*border-width: 2px;*/
    /*padding: 29px 0;*/
    /*font-weight: bold;*/
}

.page {
    /*margin: 0 10%;*/
    padding: 0 5%;
    background: white;
    margin: 2% 10vw;
    min-height: 100vh;
    scroll-snap-stop: normal;
    scroll-snap-align: start;

    &.acceuil {
        margin-left: 6vw;
        margin-right: 14vw;
        padding-top: 2%;
        margin-top: 0;
        display: grid;
        grid-template-areas:
            "subtitle empty"
            "title empty"
            "date image"
            "buttons image";

        grid-template-rows: auto auto auto auto;
        grid-template-columns: 1fr 1fr;

        > * {
            margin: 0;
        }
    }
}

.scroll-snap-stop {
    scroll-snap-stop: normal;
    scroll-snap-align: start;
}


h1 {
    font-family: "taviraj", serif;
    /*font-family: "Cormorant Garamond", serif;*/
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 340;

    scale: 100% 110%;
    font-size: 96px;
    margin-top: 10px;
    margin-bottom: 20px;
}

h2, h3 {
    font-family: "Times New Roman", Times, Tinos, serif;
    font-weight: normal;
}

h2 {
    scale: 100% 107%;
    font-size: 46px;
}

h3 {
    font-size: 36px;
}

ul > li > p {
    margin: 0;
}

a {
    text-decoration: none;
}


html {
    font-family: sans-serif;
}

body {
}

details {
    border: 1px solid black;
    width: 40%;
    padding: 10px;
    summary {
        padding: 5px;
    }
}